# Retrieve current user by token

Get authenticated user details for the user's token submitted in the Authorization header.

Endpoint: GET /v1/me
Security: UserToken, PersonalToken

## Response 200 fields (application/json):

  - `id` (integer)
    User ID.
    Example: 101

  - `name` (string,null)
    User's full name.
    Example: "Example Person"

  - `email` (string)
    User's email.
    Example: "person@example.com"

  - `active` (boolean)
    If user is active or not.
    Example: true

  - `details` (object,null)
    User details.

  - `details.firstName` (string)
    User's first name.
    Example: "Example"

  - `details.lastName` (string)
    User's last name.
    Example: "Person"

  - `details.phoneNumber` (string)
    Phone number.
    Example: "+37111111111"

  - `details.dateOfBirth` (string)
    Date of birth (YYYY-MM-DD).
    Example: "1977-01-01"

  - `details.occupation` (string)
    Person's occupation.

  - `details.avatar` (string)
    Link to person avatar image.
    Example: "https://lh6.googleusercontent.com/photo.jpg"

  - `details.primaryAddress` (integer)
    Address object ID to use in addresses endpoints.
    Example: 111

  - `details.address` (object)
    User's address.

  - `details.address.countryCode` (string)
    Address country code in 2 digits. "US" for example.
    Example: "EE"

  - `details.address.firstLine` (string)
    Address first line.
    Example: "Road 123"

  - `details.address.postCode` (string)
    Address post code.
    Example: "11111"

  - `details.address.city` (string)
    Address city name.
    Example: "Tallinn"

  - `details.address.state` (string)
    Address state code. Required if country is US, CA, AU, or BR.

  - `details.address.occupation` (string)
    User occupation. Required for US, CA, JP.


